package com.steerinfo.TimedTask.rsbcread.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

@ApiModel(value="null")
public class RsBcread implements IBasePO<BigDecimal> {
    @ApiModelProperty(value="",required=false)
    private BigDecimal xh;

    @ApiModelProperty(value="",required=false)
    private Integer zhonglian;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.xh;
    }

    @Override
    public void setId(BigDecimal xh) {
        this.xh = xh;
    }

    public BigDecimal getXh() {
        return xh;
    }

    public void setXh(BigDecimal xh) {
        this.xh = xh;
    }

    public Integer getZhonglian() {
        return zhonglian;
    }

    public void setZhonglian(Integer zhonglian) {
        this.zhonglian = zhonglian;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", xh=").append(xh);
        sb.append(", zhonglian=").append(zhonglian);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}